﻿namespace ToolbarsManagerTextBoxValidation
{
    using System;
    using System.ComponentModel;
    using System.Windows.Forms;
    using Infragistics.Win.UltraWinToolbars;
    using System.Diagnostics;

    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            TextBox textBox1 = (TextBox)this.customControl1.Controls[0];
            TextBox textBox2 = (TextBox)this.customControl1.Controls[1];

            textBox1.Validating += new CancelEventHandler(textBox1_Validating);
            textBox2.Validating += new CancelEventHandler(textBox2_Validating);

            this.ultraToolbarsManager1.ToolClick += new ToolClickEventHandler(ultraToolbarsManager1_ToolClick);
        }

        private void textBox2_Validating(object sender, CancelEventArgs e)
        {
            Debug.WriteLine("TextBox2 validating raised!");
        }

        private void textBox1_Validating(object sender, CancelEventArgs e)
        {
            Debug.WriteLine("TextBox1 validating raised!");            
        }

        private void ultraToolbarsManager1_ToolClick(object sender, ToolClickEventArgs e)
        {
            // Validates only the TextBox that is losing focus.
            this.customControl1.Validate();

            // Validates all TextBoxes.
            //this.customControl1.ValidateChildren();
        }
    }
}
